package onig4j;

import org.junit.Test;
import static org.junit.Assert.*;

/**
 *
 * @author calico
 */
public class OnigCaseFoldTypeTest {

    @Test
    public void valueOf() {
        assertEquals(OnigCaseFoldType.ONIGENC_CASE_FOLD_TURKISH_AZERI, OnigCaseFoldType.valueOf(1 << 20));
        assertEquals(OnigCaseFoldType.ONIGENC_CASE_FOLD_MIN, OnigCaseFoldType.valueOf(1 << 30));
    }
    
    @Test(expected = java.lang.IllegalArgumentException.class)
    public void valueOfThrowIllegalArgumentException() {
        OnigCaseFoldType.valueOf(1 << 21);
    }
    
    @Test
    public void getDefaultCaseFoldType() {
        OnigCaseFoldType def = OnigCaseFoldType.getDefaultCaseFoldType();
        assertEquals(OnigCaseFoldType.ONIGENC_CASE_FOLD_MIN, def);
    }
    
    @Test
    public void setDefaultCaseFoldType() {
        assertEquals(OnigCaseFoldType.ONIGENC_CASE_FOLD_MIN, OnigCaseFoldType.getDefaultCaseFoldType());
        
        OnigCaseFoldType.setDefaultCaseFoldType(OnigCaseFoldType.ONIGENC_CASE_FOLD_TURKISH_AZERI);
        
        assertEquals(OnigCaseFoldType.ONIGENC_CASE_FOLD_TURKISH_AZERI, OnigCaseFoldType.getDefaultCaseFoldType());
    }
    
}